package com.gxzc.zen.web.sys.controller

import com.gxzc.zen.api.sys.service.ISysUploadInfoService
import com.gxzc.zen.api.util.SysDictUtil
import com.gxzc.zen.common.base.BaseController
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController


/**
 *
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("test")
class TestController : BaseController() {
    @GetMapping("a")
    fun get(): ResponseEntity<*> {
        return ResponseEntity.ok(SysDictUtil.getAll())
    }


    @Autowired
    private lateinit var sysUploadInfoService: ISysUploadInfoService

    @GetMapping("b")
    fun getb(): ResponseEntity<*> {
        return ResponseEntity.ok(sysUploadInfoService.selectList(null))
    }
}